Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.deegree.ogcwebservices.wcs.configuration
Interface Resolution

All Superinterfaces:
  Comparable

All Known Implementing Classes:
  AbstractResolution, DatabaseResolution, DirectoryResolution, FileResolution, OracleGeoRasterResolution, ScriptResolution, ShapeResolution

    public interface Resolution

extends Comparable

The interface defines the encpsulating element to coverage data description as used by the deegree WCS CoverageOffering Extension. The interface extends `java.lang.Comparable` to enable a container to sort its `Resolution`s by scale.

Version:
  $Revision: 18195 $, $Revision: 18195 $, $Date: 2009-06-18 17:55:39 +0200 (Do, 18. Jun 2009) $
Author:
  Andreas Poth, last edited by: $Author: mschneider $

Method Summary
`double` | `getMaxScale()` returns the maximum scale (exculding) the `Resolution` is valid for.
`double` | `getMinScale()` returns the minimum scale (inculding) the `Resolution` is valid for.
`Range[]` | `getRanges()` returns the `Range`s included with in resolution.

Methods inherited from interface java.lang.Comparable
`compareTo`

Method Detail

### getMinScale

    double getMinScale()

  returns the minimum scale (inculding) the `Resolution` is valid for.

  Returns:
    the minimum scale (inculding) the `Resolution` is valid for.

### getMaxScale

    double getMaxScale()

  returns the maximum scale (exculding) the `Resolution` is valid for.

  Returns:
    the maximum scale (exculding) the `Resolution` is valid for.

### getRanges

    Range[] getRanges()

  returns the `Range`s included with in resolution. A range is similar to those defined in OGC WCS 1.0.0 specification for CoverageOffering. But it is reduced to the elements required for identifying the coverages resources assigned to a specific combination of parameter (values).

  The return value maybe is `null` if the `Resolution` just describes data from one parameter dimension (missing Range in CoverageOffering). In this case there is direct access to the data source describing element(s).

  Returns:
    the `Range`s included with in resolution.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

an open source project founded by lat/lon, Bonn, Germany.
For more information visit: http://www.deegree.org